MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026537Open CASCADE[OCCT] OCCT:Documentationpublic2015-08-10 13:152016-04-20 15:48
Reporterbugmaster 
Assigned Toski 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026537: It is not possible to generate reference documentation in new structure of OCCT
Description1. Overview - OK
2. PDF - OK
3. CHM - OK
3. RD - can be generated if only installed includes copied to OCCT root

The same is actual for products.


Steps To Reproducegendoc.bat -refman
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0043940)
git (administrator)
2015-08-10 14:52

Branch CR26537 has been created by ibs.

SHA-1: b8408701cdd40c34c3e85b7fb5394cb0f8091ab0


Detailed log of new commits:

Author: ibs
Date: Mon Aug 10 14:50:34 2015 +0300

    0026537: It is not possible to generate reference documentation in new structure of OCCT
    
    the path to search required headers changed from <occt>/inc to <occt>/src/<each package>
(0043941)
ibs (developer)
2015-08-10 14:53

dear bugmaster,

a fix has been integrated into CR26537 branch of OCCT git, please try to generate refman once again
(0043943)
ibs (developer)
2015-08-10 15:07

dear apn,
could you apply the fix to the OCCT products
(0043946)
bugmaster (administrator)
2015-08-10 15:31

Reference documentation is generated correctly.
(0043966)
git (administrator)
2015-08-11 12:23

Branch CR26537 has been updated by apn.

SHA-1: 7cd89b7d1162306f291cd665032db23179e544d0


Detailed log of new commits:

Author: apn
Date: Tue Aug 11 12:23:32 2015 +0300

    Fix for OCCT products reference documentation

(0043967)
apn (administrator)
2015-08-11 12:34

Products reference documentation is generated from occt gendoc.bat. It's necessary to define variable PRODROOT in env.bat (if variable isn't defined documentation will be generated for occt).
Option -m contains list of modules (-m=ACIS,EMesh,SSP,SAT). If this option is missing, documentation will be generated for all modules.

Dear abv, could you please review.
(0044008)
abv (manager)
2015-08-12 09:27

Reviewed, please integrate.

One question, however: do we use the same script for generation of reference manual for products?
(0044028)
apn (administrator)
2015-08-12 12:15

Yes, if PRODROOT isn't empty, documentation will be generated for products.
(0044114)
git (administrator)
2015-08-14 10:51

Branch CR26537 has been deleted by inv.

SHA-1: 7cd89b7d1162306f291cd665032db23179e544d0

- Related Changesets
occt: master a9d2efda
Timestamp: 2015-08-13 08:19:10
Author: ibs
Committer: ski
Details ] Diff ]
0026537: It is not possible to generate reference documentation in new structure of OCCT

the path to search required headers changed from <occt>/inc to <occt>/src/<each package>

Fix for OCCT products reference documentation
mod - adm/gendoc.tcl Diff ] File ]
mod - adm/occaux.tcl Diff ] File ]
mod - adm/templates/env.bat.in Diff ] File ]
mod - adm/templates/env.build.bat.in Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-10 13:15 bugmaster New Issue
2015-08-10 13:15 bugmaster Assigned To => ysn
2015-08-10 13:15 bugmaster Assigned To ysn => ibs
2015-08-10 14:36 bugmaster Description Updated View Revisions
2015-08-10 14:51 ibs Status new => resolved
2015-08-10 14:51 ibs Steps to Reproduce Updated View Revisions
2015-08-10 14:52 git Note Added: 0043940
2015-08-10 14:53 ibs Note Added: 0043941
2015-08-10 14:53 ibs Assigned To ibs => bugmaster
2015-08-10 14:53 ibs Status resolved => reviewed
2015-08-10 15:07 ibs Note Added: 0043943
2015-08-10 15:07 ibs Assigned To bugmaster => apn
2015-08-10 15:07 ibs Status reviewed => assigned
2015-08-10 15:31 bugmaster Note Added: 0043946
2015-08-10 15:31 bugmaster Status assigned => tested
2015-08-11 12:23 git Note Added: 0043966
2015-08-11 12:34 apn Note Added: 0043967
2015-08-11 12:34 apn Test case number => Not needed
2015-08-11 12:34 apn Assigned To apn => abv
2015-08-11 12:34 apn Status tested => assigned
2015-08-11 12:34 apn Status assigned => resolved
2015-08-12 09:27 abv Note Added: 0044008
2015-08-12 09:27 abv Assigned To abv => bugmaster
2015-08-12 09:27 abv Status resolved => reviewed
2015-08-12 12:15 apn Note Added: 0044028
2015-08-13 10:18 bugmaster Status reviewed => tested
2015-08-14 10:26 ski Changeset attached => occt master a9d2efda
2015-08-14 10:26 ski Assigned To bugmaster => ski
2015-08-14 10:26 ski Status tested => verified
2015-08-14 10:26 ski Resolution open => fixed
2015-08-14 10:51 git Note Added: 0044114
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker